// system-dependent definitions .

// Include sys/types.h before this file.  
#include <sys/stat.h>

#include <errno.h>
#ifndef errno
extern int errno;
#endif

// The following test is to work around the gross typo in systems like 
// Sony NEWS-OS Release 4.0C, whereby EXIT_FAILURE is defined to 0, not 1.  
#if !EXIT_FAILURE
# undef EXIT_FAILURE
# define EXIT_FAILURE 1
#endif

#ifndef EXIT_SUCCESS
# define EXIT_SUCCESS 0
#endif

#define GETOPT_HELP_CHAR 250

#define GETOPT_HELP_OPTION_DECL \
  "help", no_argument, 0, GETOPT_HELP_CHAR

#define case_GETOPT_HELP_CHAR			\
  case GETOPT_HELP_CHAR:			\
    usage (EXIT_SUCCESS);			\
    break;

