#ifndef __KERNEL_H
#define __KERNEL_H

#define INCL_OK			0 // number of pure objects
#define INCL_SCANBREAK		1 // number of interrupted scan
#define INCL_WARNING		2 // number of objects with corrupted or changed viruses
#define INCL_SUSPICION		3 // number of suspicious objects
#define INCL_DETECTED		4 // number of objects with viruses
#define INCL_DISINFECT		5 // number of disinfected objects
#define INCL_DELETED		6 // number of deleted objects
#define INCL_CORRUPTED		8 // number of corrupted(or disabled) objects
#define INCL_EXECORRUPTED	7 // execitable file corrupted!

void IniWorkStat(void);
void IncWorkStat(int sw);
int ReportWorkStat(char* szCurName);

#endif

